"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var styled_components_1 = __importDefault(require("styled-components"));
var AOIViewer = (0, react_1.forwardRef)(function (_a, ref) {
    var showCanvasAOI = _a.showCanvasAOI;
    return ((0, jsx_runtime_1.jsx)(StyledCanvasWrap, __assign({ style: {
            visibility: showCanvasAOI !== -1 ? "visible" : "hidden",
        } }, { children: (0, jsx_runtime_1.jsx)("canvas", { ref: ref, width: 740, height: 740 }) })));
});
exports.default = (0, react_1.memo)(AOIViewer);
var StyledCanvasWrap = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  background-color: transparent;\n  z-index: 1;\n  canvas {\n    width: 100%;\n    height: 100%;\n    background-color: rgba(0, 255, 0, 0.1);\n  }\n"], ["\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  background-color: transparent;\n  z-index: 1;\n  canvas {\n    width: 100%;\n    height: 100%;\n    background-color: rgba(0, 255, 0, 0.1);\n  }\n"])));
var templateObject_1;
